Bug 2315 - ApplicationSettingsBase does not fire its SettingsSaving event
Summary: ApplicationSettingsBase does not fire its SettingsSaving event
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 2.10.x
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-12-02 10:46 UTC by Nicholas Frechette
Modified: 2018-01-06 00:46 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Nicholas Frechette 2011-12-02 10:46:20 UTC
Description of Problem:
ApplicationSettingsBase does not fire its SettingsSaving event.

Steps to reproduce the problem:
1. Create a class that implements ApplicationSettingsBase
2. Create an instance and call the Save() method


Actual Results:
Settings are saved but no event is fired.

Expected Results:
Event is fired and settings are saved if the saving event is not canceled.

How often does this happen? 
100%

Additional Information:
I looked at the master branch in git and it appears that it still happens in
that version.

Original bug at: https://bugzilla.novell.com/show_bug.cgi?id=666459
Comment 1 eb1 2014-03-19 09:58:38 UTC
Suggested fix in PR #964
Comment 2 Alexander Köplinger [MSFT] 2018-01-06 00:46:41 UTC
Fixed by https://github.com/mono/mono/pull/6272